scala.tools.nsc.plugins

# PluginDescription

#### case class PluginDescription(name: String, classname: String) extends Product with Serializable

A description of a compiler plugin, suitable for serialization to XML for inclusion in the plugin's .jar file.

name

  A short name of the plugin, used to identify it in various contexts. The phase defined by the plugin should have the same name.

classname

  The name of the main Plugin class.

Source
  PluginDescription.scala
Version

  2.0, 2013

Linear Supertypes
Serializable, java.io.Serializable, Product, Equals, AnyRef, Any
Type Hierarchy Learn more about scaladoc diagrams
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. PluginDescription
2. Serializable
3. Serializable
4. Product
5. Equals
6. AnyRef
7. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Instance Constructors

1. #### new PluginDescription(name: String, classname: String)

   name

     A short name of the plugin, used to identify it in various contexts. The phase defined by the plugin should have the same name.

   classname

     The name of the main Plugin class.

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### def +(other: String): String

   Implicit information
     This member is added by an implicit conversion from PluginDescription to any2stringadd[PluginDescription] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd

4. #### def ->[B](y: B): (PluginDescription, B)

   Implicit information
     This member is added by an implicit conversion from PluginDescription to ArrowAssoc[PluginDescription] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()

5. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

6. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

7. #### val classname: String

   The name of the main Plugin class.

8. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

9. #### def ensuring(cond: (PluginDescription) ⇒ Boolean, msg: ⇒ Any): PluginDescription

   Implicit information
     This member is added by an implicit conversion from PluginDescription to Ensuring[PluginDescription] performed by method Ensuring in scala.Predef.
   Definition Classes
     Ensuring

10. #### def ensuring(cond: (PluginDescription) ⇒ Boolean): PluginDescription

    Implicit information
      This member is added by an implicit conversion from PluginDescription to Ensuring[PluginDescription] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

11. #### def ensuring(cond: Boolean, msg: ⇒ Any): PluginDescription

    Implicit information
      This member is added by an implicit conversion from PluginDescription to Ensuring[PluginDescription] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

12. #### def ensuring(cond: Boolean): PluginDescription

    Implicit information
      This member is added by an implicit conversion from PluginDescription to Ensuring[PluginDescription] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

13. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

14. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

15. #### def formatted(fmtstr: String): String

    Implicit information
      This member is added by an implicit conversion from PluginDescription to StringFormat[PluginDescription] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()

16. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

17. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

18. #### val name: String

    A short name of the plugin, used to identify it in various contexts.

    A short name of the plugin, used to identify it in various contexts. The phase defined by the plugin should have the same name.

19. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

20. #### final def notify(): Unit

    Definition Classes
      AnyRef

21. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

22. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

23. #### def toXML: String

    An XML representation of this description.

    An XML representation of this description. It should be stored inside the jar archive file.

24. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

25. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

26. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

27. #### def →[B](y: B): (PluginDescription, B)

    Implicit information
      This member is added by an implicit conversion from PluginDescription to ArrowAssoc[PluginDescription] performed by method ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc

### Inherited from Serializable

### Inherited from java.io.Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd from PluginDescription to any2stringadd[PluginDescription]

### Inherited by implicit conversion StringFormat from PluginDescription to StringFormat[PluginDescription]

### Inherited by implicit conversion Ensuring from PluginDescription to Ensuring[PluginDescription]

### Inherited by implicit conversion ArrowAssoc from PluginDescription to ArrowAssoc[PluginDescription]

### Ungrouped